### **一、功能概述**

 - **订单业务**：CRM订单管理系统可以实现订单的自动创建、处理、跟踪和关闭，整合销售、供应链和客户支持等业务流程。同时，也能通过分析订单的历史数据，总结出订单的特点和规律，帮助企业更好地制定销售策略和优惠政策。
 - **出库业务**：CRM系统通过库存管理功能，可以实时掌握库存情况，当订单被确认后，系统会自动进行库存扣减，并生成出库单。出库单会详细列出需要出库的产品、数量、批次等信息，以便仓库人员按照出库单进行拣货和发货，打通物流与库存的边界，形成业务流通。
 - **退货业务**：当客户需要退货时，可以通过CRM系统提交退货申请。系统会自动审核退货申请，并生成退货单。退货单会详细列出退货的产品、数量、原因等信息。仓库人员收到退货后，会进行验收并更新库存信息。
 - **退换货业务**：退换货业务是退货业务和出库业务的结合。当客户需要退换货时，可以先通过CRM系统提交退货申请并完成退货流程。然后，客户可以重新下单购买需要的产品，CRM系统会再次进行出库流程，将新的产品发送给客户。

**二、术语与定义**

 - **合同下推订单**：在供应链或企业中，根据已签订的合同，自动生成或手动创建相应的订单的过程。通常，合同规定了双方之间的交易条款和条件，如购买数量、价格、交付日期等。一旦合同被双方接受并签订，企业可能会根据合同内容生成一个或多个订单，以明确具体的交易细节并确保双方按约定执行。
 
### **三、业务流程**
 - **订单业务**合同签订→销售人员创建订单确认订单信息→订单审核→订单确认→订单生产或采购→订单出库→客户收到货物并确认收货→订单完成
 
 - **出库业务**：销售人员或客户在系统中创建出库单→仓库人员根据出库单进行拣货、打包→出库单审核→出库单确认→货物出库→客户收到货物并确认收货→出库完成
 
 -  **退货业务**：销售人员或客户在系统中创建出库单→仓库人员根据出库单进行拣货、打包→出库单审核→出库单确认→货物出库→客户收到货物并确认收货→出库完成
 
 -  **退换货业务**：销售人员发起退换货申请→退换货审核→客户退回货物→仓库人员接收并检查货物→换货确认→发出换货货物创建出库单→仓库人员根据出库单进行拣货、打包→出库单审核→出库单确认→货物出库→客户收到换货货物并确认收货→退换货出库完成

### 四、核心服务说明
<table class="relative-table wrapped confluenceTable" style="width: 48.5464%;" resolved="">
	<colgroup>
		<col style="width: 17.9847%;">
		<col style="width: 10.6317%;">
		<col style="width: 8.25615%;">
		<col style="width: 34.1664%;">
		<col style="width: 28.961%;">
	</colgroup>
	<tbody>
		<tr>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">类名</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">类说明</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">请求类型</span>
			</th>
			<th class="confluenceTh">
				<span style="color: rgb(0,51,102);">请求地址</span>
			</th>
			<th colspan="1" class="confluenceTh">
				<span style="color: rgb(0,51,102);">接口说明</span>
			</th>
		</tr>
		<tr>
			<td rowspan="62" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">OrderErpRest</span>
				</p>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
				<br>
			</td>
			<td rowspan="62" class="confluenceTd">
				<span style="color: rgb(0,51,102);">订单</span>
				<br>
				<p>
					<br>
				</p>
			</td>
			<td class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询别人共享给我的客户订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我负责部门订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/myjoin</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我参与部门订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/service</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有的服务订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlistnew/asset</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有的资产订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询所有的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询别人共享给我的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我负责部门的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/myjoin</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我参与的订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getlist/service</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我参与的订单列表数据（服务订单）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/homeorder4Mobile</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询生科订单首页指标信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/advance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据条件查询预付款余额列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/listAdvance</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据条件查询预付款余额列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderinfo</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号查询订单及其详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderinfo/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单id查询订单及其详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getbyordercode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/get/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单id查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/save</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">保存订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/save4Mobile</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">保存订单（手机端）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/deletebyid</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getadvancelist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据租户ID和客户编码查询该客户所有预付款余额大于0的预付款订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checklowerprice</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查验商品是否有需要低价处理的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checklowerpriceForModify</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查验商品是否有需要低价处理的商品</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/closeorder</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifydetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改订单明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/api/ordererp/createspecialorder</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">创建特殊订单（-G、-C）订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/saveandcheck</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">新增对象并发起低价审批</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/lowerFlowSubmit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">处理低价审批流程</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/dealOrderDetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">处理待办需要审批的订单详情信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/returnofclose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">退货关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取当前明细的库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/judgedownstream</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编码判断该订单是否有下游单据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getprogressbyid/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单ID查询订单进展信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/update</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getadvancebymodify</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改订单明细时查询预付款明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getalldetailsbycodes</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单code集合查询所有的订单明细</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checkorderstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">提交之前检查库存是否足够</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifySale</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改现销售</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initInvorderWriteamount</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">初始化预开票发货订单的收款金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/modifyOrderDetail</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">修改订单的订单状态，出库状态，开票状态，未出库金额，未开票金额，价税合计，实际价税合计信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initOrderWriteamountByWhere</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据开票年份、开票月份初始化订单的收款金额、收款情况</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/checkBatchLock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">校验是否存在批次锁定客户的订单明细在ERP的待发库里存在库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initActMoney</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">运维工具计算实际出库金额</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getOrderErpByOrderCode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单编号获取订单编码列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getorderprogress</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单id查询订单进展</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/get4Mobile/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id获取订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sendlessmsg</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">检查订单明细是否缺货并通知POM</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/getFullactivityList/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的全线订单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/isInvoiced</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">是否开票</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapAdd</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap新增订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapUpdate</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap更新订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapDelete</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap删除订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/sapClose</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">对接sap关闭订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/findOrderByProductCode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据定制产品编码查询订单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/check</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">校验明细是否包含需要弱提示的货号</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/initProductType</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">初始化产品类型</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/listAssert/{instrumentCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据仪器下单编码获取其下的所有资产订单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/privew/{orderCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">预览订单invoice</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/ordererp/downloadInvoice/{orderCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">下载订单invoice</span>
				</p>
			</td>
		</tr>
		<tr>
			<td rowspan="31" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">StockoutRest</span>
				</p>
			</td>
			<td rowspan="31" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/api/stockout/pushDataToPom/{outCode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">推送出库单至POM系统</span>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/pushLessMsgToPom</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">推送出库单消息至POM系统</span>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/deleteout/{id}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单删除</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/addprint</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">增加出库打印次数</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/outregret</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">办事处出库单反审核</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/crmUnAudit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单反审核回调</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/retryOutregret</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单反审核重试</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/get/{id}</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id查询出库单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getstockoutbycode</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单code查询出库单信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/getdetailinfo/{id}</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据id查看出库详情</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/save</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">保存出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getbyoutcodelist</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单编号集合查询出库信息（批量打印）</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getdefaultstore</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取明细仓库的默认值</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getrealstock</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取某个产品的即时库存</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询出库单列表所有数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/my</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">查询我的出库单列表数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/share</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">共享出库单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/mydept</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">我负责部门出库单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/listbyparamsnew/overseas</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">海外出库单列表</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">POST</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/edit</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">编辑出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getstoreaddress</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">获取仓库地址</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">/outregretformanage</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">出库单办事处反审核(提供运维人员操作)</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/updateBatchPrinttimes</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">批量更新出库单打印次数</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/deleteout4maintain</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">删除出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">POST</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/editout4maintain</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">运维管理编辑出库单</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">GET</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/synStockoutteam/{stockoutcode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单重新同步ERP订单相关数据</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/findListByOrdercode/{ordercode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据订单code查询订单进展出库信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/getByOutcode/{outcode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单编码查询出库信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/seleOutdate4Code/{outcode}</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">根据出库单编码查询出库信息</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/updateClientname4orgnamechange</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">更新客户名称</span>
				</p>
			</td>
		</tr>
		<tr>
			<td colspan="1" class="confluenceTd">
				<span style="color: rgb(0,51,102);">GET</span>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">/updateClientname</span>
				</p>
			</td>
			<td colspan="1" class="confluenceTd">
				<p>
					<span style="color: rgb(0,51,102);">更新客户名称</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>

 1.保存订单核心逻辑
 ![保存订单输入图片说明](/imgs/2024-02-26/MgjDbMxT80rCcooo.png)


### 五、数据库设计
![输入图片说明](/imgs/2024-02-26/zEMchSXOG3lTAz26.jpeg)
### 、代码运行截图
![输入图片说明](/imgs/2024-02-26/S9LSKlxBUTuARe05.png)
<!--stackedit_data:
eyJoaXN0b3J5IjpbLTE2MDEzNDI2OTYsLTExODA1MjM3MTEsMT
UyMjMyMTg3Nyw3MjE0MDExMTMsNzc4MjA0OTM2LC0xNjAxNDYz
MTU3LC05NjcyMzg4NjMsLTEwNzgwNjU4NzAsNjIyMDQyOTk5LC
0xMTQwNTgxMTk0LDEwNzU3MTA0MDQsLTE3MjY1OTYwNzcsLTk4
OTgyODgyMiw3MTgzNTMwNzIsLTYzMTk4NTUxNCwtODE0NDkyOD
IyLDE5MDkyNDU3OSwyMTI2MDY1NjI5LDIwNjM2ODk1OTIsLTc3
NDA2OTU4NV19
-->